<?php
/*
		[FuShow.cn] (C) 2013-2014 HXWY Inc.
		FuShow Friend V3.0				Id: magic_bgimage.php
		Email <service@fushow.cn>		http://fushow.cn/
*/

if(!defined('IN_FUSHOW')) {
	exit('Access Denied');
}

//检查参数
$idtype = 'blogid';//只对日志开放
magic_check_idtype($id, $idtype);

//信纸
if(submitcheck("usesubmit")) {

	//设置信纸代号
	$_POST['paper'] = intval($_POST['paper']);
	updatetable('blogfield', array('magicpaper'=>$_POST['paper']), array('blogid'=>$id));

	magic_use($mid, array('id'=>$id, 'idtype'=>$idtype), true);
	showmessage('magicuse_success', $_POST['refer'], 0);
}

?>